[CRIU] [PATCH 15/15] travis-tests: add test for criu --help

Kir Kolyshkin kir at openvz.org
Tue Aug 30 16:58:18 PDT 2016


Make sure travis/jenkins complain if someone sends a patch
that results in criu --help output violate standard terminal
width requirement.

Cc: Andrei Vagin <avagin at virtuozzo.com>
Signed-off-by: Kir Kolyshkin <kir at openvz.org>
---
 scripts/travis/travis-tests | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/scripts/travis/travis-tests b/scripts/travis/travis-tests
index 1f8d9f9..614d8fd 100755
--- a/scripts/travis/travis-tests
+++ b/scripts/travis/travis-tests
@@ -50,3 +50,10 @@ ip net add test
 
 pip install flake8
 make lint
+
+# Check that help output fits into 80 columns
+WIDTH=$(./criu/criu --help | wc --max-line-length)
+if [ "$WIDTH" -gt 80 ]; then
+	echo "criu --help output does not obey 80 characters line width!"
+	exit 1
+fi
-- 
2.7.4



More information about the CRIU mailing list